Hey I just got the newest version of WWW Fileshare Pro and I want to start my own server (in a matter of speaking). Before I do though, I went to google and typed in "WWW File Share Pro vunerabilties." there were a lot of vulnerabilities for versions below and up to 2.42. Before I run it, I wanted to know if anyone here knows of any exploits for later versions and if so what are they and how do they work. More importantly how can they be protected against. I don't want to open up my system to some lame script kiddie.